      MODULE SQRTB_MOD
C
C------------------------------------------------------------------------
C 	STATIC MEMORY FOR sqrtB
C
C	AUTHOR	: ANDREA P.	- CERFACS -
C	DATE		:27/07/2008
C	VERSION	: 1_0_0
C------------------------------------------------------------------------
C
      USE palm_user_param
C
      IMPLICIT NONE
C
      REAL (KIND=8) , ALLOCATABLE , SAVE :: rga_logp(:,:,:)
      REAL (KIND=8) , ALLOCATABLE , SAVE :: rga_norm_filv(:,:,:)
#ifndef B_COMPU
      REAL (KIND=8) , ALLOCATABLE, SAVE :: rga_exp_sto(:)
#endif
C
C** Work arrays for spherepack (spheric harm.) in hor. B
C
      REAL (KIND=8) , ALLOCATABLE , SAVE :: rga_shaw(:)
      REAL (KIND=8) , ALLOCATABLE , SAVE :: rga_shsw(:)
      REAL (KIND=8) , ALLOCATABLE , SAVE :: dga_rlatm1(:)
      REAL (KIND=8) , ALLOCATABLE , SAVE :: dga_wts(:)
C
      REAL(KIND=8), SAVE :: rg_filno
      REAL(KIND=8), SAVE :: rg_pi
      REAL(KIND=8), PARAMETER :: rp_ra = 6371220.
      INTEGER, PARAMETER :: ip_trunc = ip_latc1
C      
      LOGICAL, SAVE :: lg_vcor_1D
      INTEGER, PARAMETER :: ip_ztampon = 0
      INTEGER, PARAMETER :: ip_niter_vcor = 4
      REAL, ALLOCATABLE, SAVE :: rga_Wz(:,:,:)
      REAL, ALLOCATABLE, SAVE:: rga_mat_vcor(:,:,:,:)
      REAL, ALLOCATABLE, SAVE :: rga_filnoz(:,:,:)
C
      INTEGER, SAVE :: ig_flsh, ig_flsz
C
      END MODULE SQRTB_MOD
