#!/bin/ksh
#
#===============#
# History files #
#===============#
#
echo
echo '==================='
echo '>>> Script getHM.sh'
echo '==================='
#
if [ $CRUN -eq 1 ] ; then
#
 MM0=`expr $DATEIN | cut -c5-6`
 if [ $NSTART -eq 0 ] ; then
  echo '>> STARTING A NEW MOCAGE SIMULATION'
  echo '>> RETRIEVING CLIMATOLOGIES FROM : '$PATHC
#
  if [ $PATHC != DELAGE ] ; then
#  if [ $STATION_INPUT != DELAGE ] ; then
   for DOM in $DOMLIST 
   do
    cp $PATHC/HC${DOM}/HC${DOM}+${MM0}_$CHEMSCHEME HM${DOM}+$DATEIN
#    cp $PAT_HM/HC${DOM}/HC${DOM}+${MM0}_$CHEMSCHEME HM${DOM}+$DATEIN
   done
#
  else
   rm -f filelist
   touch filelist
#
   for DOM in $LISTDOM
   do
    if [ $INIT = 'CLIM' ] ; then
#cat > line << EOL
#~mrgm001/MOCAGECH/HC${DOM}/HC${DOM}+${MM0}_$CHEMSCHEME  HM${DOM}+$DATEIN
#EOL
cat > line << EOL
/cnrm1/mrgm/mrgm001/MOCAGECH/HC${DOM}/HC${DOM}+${MM0}_$CHEMSCHEME  HM${DOM}+$DATEIN
EOL
    elif [ $INIT = 'CLIMCO' ] ; then
cat > line << EOL
/cnrm1/mrgm/mrgm003/MOCAGEHM/REECLI/HC${DOM}+${MM0}_$CHEMSCHEME  HM${DOM}+$DATEIN
EOL
    fi
    cat filelist line > tempo
    mv tempo filelist
   done
#
FLIST=`cat filelist`
echo $FLIST
ftget << EOF  >> /dev/null
$FLIST
EOF
   rm filelist line
  fi
#
 else
  echo '>> RESUMING A PREVIOUS MOCAGE SIMULATION'
#  if [ $NAMEXPHOLD = NEW ] || [ $COLD = 0 ] ; then
#   PATHMOK=$PATH_HM
#   NAMEXPOK=
#  else
#   PATHMOK=$PATHMOLD
#   NAMEXPOK=$NAMEXPHOLD
#  fi	 
#  echo '>> RETRIEVING HISTORY FILES FROM : '$PATHMOK/$NAMEXPOK
  echo '>> RETRIEVING HISTORY FILES FROM : '$PATH_HM
#
#  if [ $PATHMOK != DELAGE ] ; then
  if [ $STATION_INPUT != DELAGE ] ; then
#
   for DOM in $LISTDOM
   do	  
    ln -s $PATH_HM/HM${DOM}+$DATEIN HM${DOM}+$DATEIN
   done
#
  else
   rm -f filelist
   touch filelist
#
   for DOM in $LISTDOM
   do	   
cat > line << EOL
$PATH_HM/HM${DOM}+$DATEIN HM${DOM}+$DATEIN
EOL
    cat filelist line > tempo
    mv tempo filelist
   done
#
FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
   rm filelist line
  fi
#
  echo '>> HISTORY FILES IN CURRENT DIRECTORY :'
  ls -l HM*
#
 fi      
#
else
 echo '>> NO MODEL RUN!'
 if [ $CPTGS -eq 1 ] || [ $CPTGS -eq 3 ] ; then
#  echo '>> RETRIEVING HISTORY FILES FOR POST-TREATMENT FROM :'$PATHM/$NAMEXP
  echo '>> RETRIEVING HISTORY FILES FOR POST-TREATMENT FROM :'$PATH_HM
#
  cp outdates_HMin outdates
  LIST=`cat outdates`
#
#  if [ $PATHM != DELAGE ] ; then
  if [ $STATION_INPUT != DELAGE ] ; then
#
   for i in $LIST
   do
    for DOM in $LISTDOM	   
    do	    
#     cp $PATHM/$NAMEXP/HM${DOM}+$i HM${DOM}+$i
     cp $PATH_HM/HM${DOM}+$i HM${DOM}+$i
    done
   done
#
  else
   rm -f filelist
   touch filelist
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do	    
#cat > line << EOL
#MOCAGEHM/$NAMEXP/HM${DOM}+$i HM${DOM}+$i
#EOL
cat > line << EOL
$PATH_HM/HM${DOM}+$i HM${DOM}+$i
EOL
     cat filelist line > tempo
     mv tempo filelist
    done
   done
#
FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
rm filelist line
#
  fi
#
#
  echo '>> HISTORY FILES IN CURRENT DIRECTORY :'
  ls -l HM*
#
 fi
#

fi

