#!/bin/ksh
#
#====================================#
# Surface Fluxes files (one per day) #
#====================================#
#
echo
echo '==================='
echo '>>> Script getSM.sh'
echo '==================='
#
#
if [ $SURF = .TRUE. ] ; then
#
 if [ $MODE = BEST ] ; then
  cp $PATH_WORK/outdates_SM outdates
  LIST=`cat outdates`
 else
  DAYIN=`expr $DATEIN | cut -c1-8`
  LIST=`echo $DAYIN`
 fi
#
 if  [ $CSURF -eq 1 ] ;then
  echo '>> PREPARING SURFACE FLUXES'
#
  $MUTILS/shl/sumocageN2
#
  cp outdates_SM outdates
  LIST=`cat outdates`
#
  if [ $CSURFS -eq 1 ] ; then
   echo '>> SAVING FORCINGS ON : '$PATH_SM
#
   if [ $STATION_INPUT != DELAGE ] ; then
#
    for i in $LIST
    do
     for DOM in $LISTDOM
     do
      cp SM${DOM}+$i $PATH_SM/SM${DOM}+$i
     done
    done
#
   else
    rm -f filelist
    touch filelist
#
    for i in $LIST
    do
     for DOM in $LISTDOM
     do
cat > line << EOL
SM${DOM}+$i $PATH_SM/SM${DOM}+$i 
EOL
     cat filelist line > tempo
     mv tempo filelist
#
     done
    done
#
   FLIST=`cat filelist`
ftput << EOF  >> /dev/null 2> /dev/null
$FLIST
EOF
    rm filelist line
   fi
#
  fi
#
 else
# 
  if [ $CRUN -eq 1 ] ; then
#	
   echo '>> RETRIEVING SURFACE FILES FROM : '$PATH_SM
   if [ $STATION_INPUT != DELAGE ] ; then
#
    for i in $LIST
    do
     for DOM in $LISTDOM
     do
      ln -s $PATH_SM/SM${DOM}+$i SM${DOM}+$i
     done
    done
#
   else
    rm -f filelist
    touch filelist
#
    for i in $LIST
    do
     for DOM in $LISTDOM
     do
cat > line << EOL
$PATH_SM/SM${DOM}+$i SM${DOM}+$i
EOL
      cat filelist line > tempo
      mv tempo filelist
#
     done
    done
#
FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
    rm filelist line
   fi
#
   if [ $CSAVES -eq 1 ] ; then
    echo ' > COPYING SURFACE FILES INTO CURRENT EXPERIMENT'  
#
    if [ $STATION_INPUT != DELAGE ] ; then
#
     for i in $LIST
     do
      for DOM in $LISTDOM
      do
       cp $PATH_SM/SM${DOM}+$i SM${DOM}+$i
      done
     done
#
    else
     rm -f filelist
     touch filelist
#
     for i in $LIST
     do
      for DOM in $LISTDOM
      do
cat > line << EOL
$PATH_SM/SM${DOM}+$i SM${DOM}+$i
EOL
       cat filelist line > tempo
       mv tempo filelist
      done
     done
#
FLIST=`cat filelist`
ftput << EOF  >> /dev/null 2> /dev/null
$FLIST
EOF
     rm filelist line
    fi
#
   fi
#
  fi
#
 fi
#
 echo '>> SURFACE FORCING FILES IN CURRENT DIRECTORY :'
 ls -l SM*
#
fi

