#!/bin/ksh
#
#----------------------#
# Copy executing files #
#----------------------#
#
echo
echo '==================='
echo '>>> Script getXX.sh'
echo '==================='
#
if [ $CRUN -eq 1 ] ;then
#
 echo '>> RETRIEVING MOCAGE BINARY FROM : '$DIRSOURCES
 cp $DIRSOURCES/MOCAGE MOCAGE
# chmod +x MOCAGE
#
 if [ $CASSIM == 1 ] ; then
  DIRPALM=$MOCAGE_ROOT/MOCAGE_PALM
  echo ""
  echo "Recovering the PALM input files \"MOCAGE.pil\" and \"MOCAGE.ppl\" from $DIRPALM"
  cp $DIRPALM/MOCAGE.pil .
  cp $DIRPALM/MOCAGE.ppl .
  echo "Create file \"assimilated_species\""
  echo $ASSIMILATED_SPECIES |\
  awk '{split($0,a,"[ ,:;\t]");for(i in a) print a[i]}' > ./assimilated_species
 fi
#
 if [ $CASSIM == 2 ] ; then
  DIRPALM=$DIRSOURCES/MOCAGE_PALM
  echo ""
  echo "Recovering the PALM input files \"MOCAGE.pil\" and \"MOCAGE.ppl\" from $DIRPALM"
  cp $DIRPALM/MOCAGE_tg.pil .
  cp $DIRPALM/MOCAGE_tg.ppl .
  echo "Create file \"assimilated_species\""
  echo $ASSIMILATED_SPECIES |\
  awk '{split($0,a,"[ ,:;\t]");for(i in a) print a[i]}' > ./assimilated_species
 fi
#
fi

