#!/bin/ksh
#
#===============================#
# Create other inputs of MOCAGE #
#===============================#
#
echo
echo '===================='
echo '>>> Script getsrc.sh'
echo '===================='
#
if [ $CRUN -eq 1 ] && [ $SRC = .TRUE. ] ; then
set -A LPNAM `echo $PNAM`
set -A LPLON `echo $PLON`
set -A LPLAT `echo $PLAT`
set -A LPBOT `echo $PBOT`
set -A LPTOP `echo $PTOP`
set -A LPQTY `echo $PQTY`
set -A LPUNI `echo $PUNI`
set -A LPDTB `echo $PDTB`
set -A LPDTE `echo $PDTE`
set -A LPIDE `echo $PIDE`
if test ${#LPNAM[*]} = ${#LPLON[*]} -a ${#LPLON[*]} = ${#LPLAT[*]} -a ${#LPLAT[*]} = ${#LPBOT[*]} -a ${#LPBOT[*]} = ${#LPTOP[*]} -a ${#LPTOP[*]} = ${#LPQTY[*]} -a ${#LPQTY[*]} = ${#LPUNI[*]} -a ${#LPUNI[*]} = ${#LPDTB[*]} -a ${#LPDTB[*]} = ${#LPDTE[*]} -a ${#LPDTE[*]} = ${#LPIDE[*]} ; then
rm -f psrc.dat
nf=`expr ${#LPNAM[*]} - 1`
echo '>> NUMBER OF POINT SOURCES TAKEN INTO ACCOUNT : '$nf
cat > psrc.dat << EOL
$nf
EOL
n=1
while test $n -le $nf
do
np1=`expr $n + 1`
echo ' > POINT SOURCE #'$n
echo '   - NAME : '${LPNAM[$n]}
echo '   - LON,LAT : '${LPLON[$n]}','${LPLAT[$n]}
echo '   - BOT,TOP : '${LPBOT[$n]}','${LPTOP[$n]}
echo '   - RELEASE : '${LPQTY[$n]}' '${LPUNI[$n]}
echo '   - BEGINS  : '${LPDTB[$n]}
echo '   - ENDS    : '${LPDTE[$n]}
echo '   - IDE STA : '${LPIDE[$n]}
cat > line << EOL
${LPNAM[$n]} ${LPLON[$n]} ${LPLAT[$n]} ${LPBOT[$n]} ${LPTOP[$n]} ${LPQTY[$n]} ${LPUNI[$n]} ${LPDTB[$n]} ${LPDTE[$n]} ${LPIDE[$n]} 
EOL
cat psrc.dat line > tempo
mv tempo psrc.dat
rm -rf line
n=`expr $n + 1`
done
else
echo '>> WARNING, MISMATCH IN POINT SOURCES DEFINITION : ABORT!'
exit
fi
NBPOL=$nf
cp $PATH_RUN/"$paradi_name" ./tempo_param
echo s/NTRA1=10/NTRA1=$NBPOL/g > commande
echo s/NTRA2=10/NTRA2=$NBPOL/g >> commande
echo s/NTRA3=10/NTRA3=$NBPOL/g >> commande
echo s/NTRA4=10/NTRA4=$NBPOL/g >> commande
echo s/NDEP1=10/NDEP1=$NBPOL/g >> commande
echo s/NDEP2=10/NDEP2=$NBPOL/g >> commande
echo s/NDEP3=10/NDEP3=$NBPOL/g >> commande
echo s/NDEP4=10/NDEP4=$NBPOL/g >> commande
sed -f commande tempo_param > namelist_param
fi

