      PROGRAM GETDATES
c
      PARAMETER (maxdays=4)
      LOGICAL DATESINV
      integer offset
      integer tabbis(12)
      data tabbis/31,28,31,30,31,30,31,31,30,31,30,31/
c
      INTEGER idate0(5),idate1(5),idatemp(5),idateloop(5)
c
      open(1,file='datelist',form='formatted')
c
      read(1,100) idate0(1),idate0(2),idate0(3),idate0(4)
     &           ,idate0(5)
c
      read(1,100) idate1(1),idate1(2),idate1(3),idate1(4)
     &           ,idate1(5)
      read(1,*)   nscy
      read(1,*)   nout
c
      if (nscy.le.0) then
        print*,'NOT A VALID CYCLE LENGTH : ABORT!'
        stop
      endif
c
      DATESINV=.FALSE.
c
ccccc
c
c nout = 0 : prepare dates for FM files
c            (compute or retrieve forcings ; called by jobMCG)
c nout = 1 : prepare dates for SM files
c            (compute or retrieve forcings ; called by jobMCG)
c nout = 2 : prepare dates for HM files
c            (no model run, retrieve history files ; called by jobMCG)
c nout = 3 : prepare dates for HM files
c            (compute statistics, time profiles ; called by jobHM)
c nout = 4 : prepare dates for SM files
c            (compute statistics, time profiles ; called by jobSM)
c nout = 5 : prepare dates for automatic re-start
c            (called by jobMCG)
c nout = 6 : prepare dates for FM files for mode "FORC1"
c            (called by jobMCG)
c nout = 7 : prepare dates for SM files (4 consecutive days ;
c            called by sumocage)
c
ccccc
c
 100  format(I4.4,I2.2,I2.2,I2.2,I2.2)
 101  format(I4.4,I2.2,I2.2)
c
      call TIMESEC(idate0,idate1,nsec)
c
      if (nsec.LT.0) then
           DATESINV=.TRUE.
           CALL TIMESEC(idate1,idate0,nsec)
           offset=mod(mod(nsec/3600,nscy)-nscy,nscy)    
c
           do i=1,5
                idatemp(i)=idate1(i)
                idate1(i)=idate0(i)
                idate0(i)=idatemp(i)
           enddo
c      
      endif
c
      iday=idate0(3)
      imonth=idate0(2)
      iyear=idate0(1)
      if (mod(iyear,4).EQ.0) tabbis(2)=29
c
      if (nout.EQ.7) then
        nout=1
        idate0(4)=12
        idate1(4)=12
        idate1(3)=idate0(3)+3
        if (idate1(3).GT.tabbis(imonth)) then
          idate1(3)=idate1(3)-tabbis(imonth)
          idate1(2)=idate0(2)+1
          if (idate1(2).GT.12) then
            idate1(2)=1
            idate1(1)=idate1(1)+1
          endif
        endif
      endif
c
      if ((nout.NE.3).AND.(nout.NE.4).AND.(nout.NE.5)) then 
      if (nsec.GT.maxdays*int(86400)) then
        print*,'DATES ARE TOO FAR APART : ABORT!'
        stop
      endif
      endif
c
      if (nscy.GE.672) then
        print*,'MORE THAN A MONTH BETWEEN TWO FILES : ABORT!'
        stop  
      endif
c
      if ((nout.EQ.0).OR.(nout.EQ.1).OR.(nout.EQ.6)) then
      if ((nscy.NE.3).AND.(nscy.NE.6)) then
        print*,'NOT A VALID CYCLE LENGTH : ABORT!'
        stop
      endif
      endif
c
      if (nout.EQ.4) then
      if (mod(nscy,24).NE.0) then
        print*,'NOT A VALID CYCLE LENGTH : ABORT!'
        stop
      endif
      idate0(4)=0
      endif 
c
      if ((nout.EQ.0).OR.(nout.EQ.1).OR.(nout.EQ.6)) then
      ihour=int(idate0(4)/nscy)*nscy-nscy
      endif
c
      if ((nout.EQ.2).OR.(nout.EQ.3).OR.(nout.EQ.4).OR.(nout.EQ.5)) then
      ihour=idate0(4)
      endif
c
      idayold=0
      idayold2=iday
c
      if ((nout.EQ.3).AND.(.NOT.DATESINV)) then
          write(*,100) iyear,imonth,iday,ihour
      endif
c
      if ((nout.EQ.2).AND.DATESINV) then
          write(*,100) iyear,imonth,iday,ihour
      endif
c      
      if ((nout.EQ.2).OR.(nout.EQ.3)) ihour=ihour+offset
c      
      if (nout.EQ.4) then
          write(*,101) iyear,imonth,iday
      endif
c
      if (nout.EQ.5) then
          write(*,100) iyear,imonth,iday,ihour
          nscy=24
c          nscy=4*24
C          nscy=MAXDAYS*24
      endif
c
 10   continue
c
      if (nout.EQ.6) then
        call TIMESEC(idate0,idateloop,nsec) 
        if (nsec.GE.2*86400) nscy=6
      endif
c
      imin=0 
      ihour=ihour+nscy
c
      if (ihour.GE.24) then
      iday=iday+ihour/24
      ihour=mod(ihour,24)
      endif
c
      if (iday.GT.tabbis(imonth)) then
      iday=iday-tabbis(imonth)
      imonth=imonth+1
      endif
c
      if (imonth.GT.12) then
      iyear=iyear+1
      imonth=1
      endif
c
      if ((nout.EQ.0).OR.(nout.EQ.6)) then
      write(*,100) iyear,imonth,iday,ihour
      endif
c
      if (nout.EQ.1) then
        if ((iday.NE.idayold).AND.(ihour.NE.0)) then
          write(*,101) iyear,imonth,iday
          idayold=iday
        endif
      endif
c
      idateloop(1)=iyear
      idateloop(2)=imonth
      idateloop(3)=iday
      idateloop(4)=ihour
      idateloop(5)=imin
c
      call TIMESEC(idateloop,idate1,nsec)
c
      if (nsec.GE.0) then
        if (nout.EQ.2) then
          if ((nsec.NE.0).OR.(.NOT.DATESINV)) then
            write(*,100) iyear,imonth,iday,ihour
          endif
        endif
      endif
c
      if (nsec.GT.0) then
        if (nout.EQ.5) then
          write(*,100) iyear,imonth,iday,ihour
          write(*,100) iyear,imonth,iday,ihour
        endif
      endif
c
      if (nsec.GT.0) then
        if (nout.EQ.4) then
          if (iday.NE.idayold2) then
            write(*,101) iyear,imonth,iday
            idayold2=iday
          endif
        endif
      endif
c
      if (nout.EQ.3) then
          write(*,100) iyear,imonth,iday,ihour
      endif
c
      if (nsec.GT.0) then
      goto 10     
      endif
c
      if (nout.EQ.5) then
          write(*,100) idate1(1),idate1(2),idate1(3),idate1(4)
      endif
c
      if (nsec.NE.0) then
        if ((nout.EQ.2).AND.(.NOT.DATESINV)) then
          write(*,100) idate1(1),idate1(2),idate1(3),idate1(4)
        endif
      endif
c
      END
c
cccc
c
      SUBROUTINE TIMESEC(idate0,idate1,idateconvtot)
c
ccccc
c
c   __  __   _____   _____   _____   _____   _____
c  |  \/  | /     \ /     \ /  _  \ /  ___\ |  ___|
c  |      | |  |  | |  <--< |  _  | |  \_ \ |  ___|
c  |_|\/|_| \_____/ \_____/ \_/ \_/ \_____/ |_____|
c
c  MODELE DE CHIMIE ATMOSPHERIQUE A GRANDE ECHELLE
c
c
c  Centre National de Recherches Meteorologiques
c
ccccc
c
c Purpose   : Return seconds elapsed between two dates
c
c Original  : M.-L. Cathala & V.-H. Peuch, CNRM/GMGEC/ERAM, 03/1999
c
c Modified  :
c
ccccc
c
c INPUT
c
c idate0 : initial date (1)=Year (2)=Month (3)=Day (4)=Hr (5)=Min
c idate1 : final date (1)=Year (2)=Month (3)=Day (4)=Hr (5)=Min
c
c OUTPUT
c
c idateconvtot : seconds elapsed between the two
c                (=-1 if date1 is before date0)
c
      integer idate0(5),idate1(5)
      integer idateconvtot
c
c LOCAL VARIABLES AND ARRAYS
c
      integer tabbis(12)
      logical test
      data tabbis/31,28,31,30,31,30,31,31,30,31,30,31/
c
c 1. COMPARE YEARS
c
      test=.FALSE.
c
c test : .TRUE. if the two dates correspond to the same year
c
      if (idate0(1).EQ.idate1(1)) then
c
c If dates correspond to the same year, add one year between the two
c
        idate1(1)=idate1(1)+1
        test=.TRUE.
      endif
c
      if (idate0(1).GT.idate1(1)) then
c
c Date1 is before date0 : return
c
        idateconvtot=-1
        return
      endif
c
c 2. CONVERT YEARS
c
      idateconvtot=0
      do 200 j=idate0(1)+1,idate1(1)-1
c
        if (MOD(j,4).NE.0)then
c
c Year #j has 365 days
c
          idateconvtot=idateconvtot+31536000
        else
c
c Year #j has 366 days
c
          idateconvtot=idateconvtot+31622400
        endif
c
 200  continue
c
c 3. CONVERT MONTHS
c
      if (MOD(idate0(1),4).EQ.0) then
c
c February of year0 has 29 days
c
        tabbis(2)=29
      endif
c
      do 300 j=idate0(2),12
c
c Contibution of year 0
c
        idateconvtot=idateconvtot+tabbis(j)*86400
 300  continue
c
       if (MOD(idate0(1),4).EQ.0) then
c
c Restore 28 days for february
c
        tabbis(2)=28
      endif
c
      if (MOD(idate1(1),4).EQ.0) then
c
c February of year1 has 29 days
c
        tabbis(2)=29
      endif
c
      do 301 j=1,idate1(2)-1
c
c Contribution of year 1
c
        idateconvtot=idateconvtot+tabbis(j)*86400
 301  continue
c
      if (MOD(idate1(1),4).EQ.0) then
c
c restore 28 days for february
c
        tabbis(2)=28
      endif

c
c 4. CONVERT DAYS, HOURS AND MINUTES
c
      idateconvtot=idateconvtot+
     $             86400*(idate1(3)-idate0(3))+
     $              3600*(idate1(4)-idate0(4))+
     $                60*(idate1(5)-idate0(5))
c
c 5. RESTORE INITIAL YEAR DIFFERENCE
c
      if (TEST) then
c
c One year between the two dates was artificially added
c
        if (idate1(2).LE.2) then
c
c Month of date 1 is before the end of february
c
          if (MOD(idate0(1),4).EQ.0) then
c
c February of year 0 has 29 days
c
            idateconvtot=idateconvtot-31622400
          else
c
c February of year 0 has 28 days
c
            idateconvtot=idateconvtot-31536000
          endif
c
        else
c
c Month of date 1 is after the end of february
c
          if (MOD(idate1(1),4).EQ.0) then
c
c February of year 1 has 29 days
c
            idateconvtot=idateconvtot-31622400
          else
c
c February of year 1 has 28 days
c
            idateconvtot=idateconvtot-31536000
          endif
c
        endif
c        
        idate1(1)=idate1(1)-1   
        test=.FALSE.
c
      endif
c
c 6. RETURN
c
      if (idateconvtot.LT.0) then
          idateconvtot=-1
      endif
c
      return
      end

