	MODULE MRATLT_MOD
C
C------------------------------------------------------------------------
C 	DESCRITION AND DISTRIBUTIONS OF TRANSPORTED
C 	AND TRANSIENT SPECIES
C
C	AUTHOR	: HERVE LE BERRE	- CERFACS -
C	DATE		: 03/08/2005
C	VERSION	: 1_0_0
C------------------------------------------------------------------------
C
	USE palm_user_param
C
	IMPLICIT NONE
C
	REAL (KIND=8), ALLOCATABLE , SAVE :: QQQM1LTOLD(:,:,:,:)
	REAL (KIND=8), ALLOCATABLE , SAVE :: HHHM1LTOLD(:,:,:,:)
C
	CONTAINS
C
	SUBROUTINE ALLOC_MRATLT
C
	ALLOCATE (QQQM1LTOLD(ip_lono1,ip_lato1,ip_nivm1,ip_nassim))
	IF (ip_nsls1 .gt. 0)
     &    ALLOCATE (HHHM1LTOLD(ip_lono1,ip_lato1,ip_nivm1,ip_nsls1))
C
	END SUBROUTINE ALLOC_MRATLT
C
	SUBROUTINE DEALLOC_MRATLT
C
	DEALLOCATE (QQQM1LTOLD)
	IF (ip_nsls1 .gt. 0) DEALLOCATE (HHHM1LTOLD)
C
	END SUBROUTINE DEALLOC_MRATLT
C
	END MODULE MRATLT_MOD
