#!/bin/ksh
#
#=================================#
# Observation files (one per day) #
#=================================#
#
echo
echo '===================='
echo '>>> Script getobs.sh'
echo '===================='
#
if [ $OBS = .TRUE. ] ; then
#
#echo '>> -MOZAIC- OBSERVATIONS' 
#$MUTILS/shl/getmozaic
#
# ELF
 cp $PATH_WORK/outdates_SM outdates
 LIST=`cat outdates`

 if [ $STATION_INPUT != DELAGE ] ; then
  echo '>> COPY OBSERVATION FILES FROM : '$PATH_OBS
  for i in $LIST
  do
   ln -s $PATH_OBS/HOBS+$i HOBS+$i
  done
 else
  echo '>> RETRIEVING OBSERVATION FILES FROM : '$PATH_OBS
  rm -f filelist
  touch filelist
  for i in $LIST
  do
cat > line << EOL
$PATH_OBS/HOBS+$i HOBS+$i
EOL
   cat filelist line > tempo
   mv tempo filelist
  done
  FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
  rm filelist line
 fi
#
 echo '>> OBSERVATION FILES IN CURRENT DIRECTORY :'
 ls -l HOBS*
#
fi

